import { DeepClientInstance } from "@deep-foundation/deeplinks/imports/client.js";
import { insertDevice } from "./insert-device.js";
import { makeDeviceInsertOperations } from "./make-device-insert-operations.js";
import { Package } from "./package.js";
import { updateDevice } from "./update-device.js";
import { WithDeviceSync, getAllDeviceInfo, getDevice, makeDeviceValueUpdateOperations, useDeviceSync } from "./main.js";
export declare function createDeviceDecorator<TDeepClient extends DeepClientInstance>(deep: TDeepClient): DeviceDecorator<TDeepClient>;
export type DeviceDecorator<TDeepClient extends DeepClientInstance = DeepClientInstance> = TDeepClient & {
    "@deep-foundation/capacitor-device": Package;
    capacitorDevicePackage: Package;
    useDeviceSync: typeof useDeviceSync;
    WithDeviceSync: typeof WithDeviceSync;
    getAllDeviceInfo: typeof getAllDeviceInfo;
    getDevice: typeof getDevice;
    insertDevice: typeof insertDevice;
    makeDeviceInsertOperations: typeof makeDeviceInsertOperations;
    makeDeviceValueUpdateOperations: typeof makeDeviceValueUpdateOperations;
    updateDevice: typeof updateDevice;
};
