import { insertDevice } from "./insert-device.js";
import { makeDeviceInsertOperations } from "./make-device-insert-operations.js";
import { Package } from "./package.js";
import { updateDevice } from "./update-device.js";
import { WithDeviceSync, getAllDeviceInfo, getDevice, makeDeviceValueUpdateOperations, useDeviceSync } from "./main.js";
import { debug } from "./debug.js";
export function createDeviceDecorator(deep) {
    const log = debug(`@deep-foundation/capacitor-device:${createDeviceDecorator.name}`);
    const _package = new Package({ deep });
    const decorator = {
        ...deep,
        capacitorDevicePackage: _package,
        "@deep-foundation/capacitor-device": _package,
        useDeviceSync: useDeviceSync,
        WithDeviceSync: WithDeviceSync,
        getAllDeviceInfo: getAllDeviceInfo,
        getDevice: getDevice,
        insertDevice: insertDevice,
        makeDeviceInsertOperations: makeDeviceInsertOperations,
        makeDeviceValueUpdateOperations: makeDeviceValueUpdateOperations,
        updateDevice: updateDevice,
    };
    Object.setPrototypeOf(decorator, Object.getPrototypeOf(deep));
    log({ decorator });
    return decorator;
}
