import { DeviceInfo } from './device-info.js';
/**
 * Gets all information about the device.
 *
 * @remarks
 * Battery information is not available on iOS or macOS
 * This method does not get data from deep. It uses local device information
 *
 * @example
 * ```
 * const deviceInfo = await getAllDeviceInfo();
 * ```
 */
export declare function getAllDeviceInfo(): Promise<DeviceInfo>;
